package com.link.core.util;

import com.link.core.util.redisclient.LinkRedisClient;
import java.util.List;

public class ObjectChangeUtils {
   private static final String OBJECT_CHANGE_PRE = "LINK_OBJ_CHANGE_";

   public static void changeEvent(String module, String objName, String objId) throws Exception {
      LinkRedisClient linkRedisClient = null;

      try {
         linkRedisClient = RedisUtil.getJedis();
         String key = "LINK_OBJ_CHANGE_" + module + "_" + objName;
         linkRedisClient.hset(key, objId, System.currentTimeMillis() + "");
      } catch (Exception var8) {
         Exception e = var8;
         throw e;
      } finally {
         RedisUtil.returnResource(linkRedisClient);
      }

   }

   public static List<String> getChangeEvent(String module, String objName, String... objId) throws Exception {
      LinkRedisClient linkRedisClient = null;

      List var5;
      try {
         linkRedisClient = RedisUtil.getJedis();
         String key = "LINK_OBJ_CHANGE_" + module + "_" + objName;
         var5 = linkRedisClient.hmget(key, objId);
      } catch (Exception var9) {
         Exception e = var9;
         throw e;
      } finally {
         RedisUtil.returnResource(linkRedisClient);
      }

      return var5;
   }
}
